
import System;

function myFunc(s:String) {
 if (0==s.Length)
   throw "myFunc: Pusty ciąg nie może być parametrem"
 Console.WriteLine("s = {0}",s);
}

try {
  myFunc("");
}
catch(e:Exception) {
  Console.WriteLine("Wystąpił wyjątek: \"{0}\"\n",e.Message);
}

